Bug 191711 - [iOS Sim] Multiple quicklook tests are failing
Summary: [iOS Sim] Multiple quicklook tests are failing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Said Abou-Hallawa
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-11-15 14:03 PST by Truitt Savell
Modified: 2019-07-18 14:15 PDT (History)
10 users (show)

See Also:


Attachments
Patch (160.68 KB, patch)
2019-07-18 09:57 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews112 for mac-highsierra (3.17 MB, application/zip)
2019-07-18 11:29 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Truitt Savell 2018-11-15 14:03:24 PST
The following layout test is failing on iOS Simulator WK2 

quicklook/numbers.html

Probable cause:

This test is failing constantly now. issue is an icon has what looks like an extra pixel width of bezel

Flakiness Dashboard:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=quicklook%2Fnumbers.html

image diff:
https://build.webkit.org/results/Apple%20iOS%2012%20Simulator%20Debug%20WK2%20(Tests)/r238235%20(844)/quicklook/numbers-diffs.html
Comment 1 Radar WebKit Bug Importer 2018-11-17 12:26:59 PST
<rdar://problem/46151526>
Comment 2 Said Abou-Hallawa 2019-07-18 09:22:33 PDT
<rdar://problem/47898237>
Comment 3 Said Abou-Hallawa 2019-07-18 09:57:53 PDT
Created attachment 374393 [details]
Patch
Comment 4 Build Bot 2019-07-18 11:29:45 PDT
Comment on attachment 374393 [details]
Patch

Attachment 374393 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12767172

New failing tests:
storage/indexeddb/dont-wedge.html
Comment 5 Build Bot 2019-07-18 11:29:48 PDT
Created attachment 374399 [details]
Archive of layout-test-results from ews112 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 6 WebKit Commit Bot 2019-07-18 14:15:21 PDT
Comment on attachment 374393 [details]
Patch

Clearing flags on attachment: 374393

Committed r247619: <https://trac.webkit.org/changeset/247619>
Comment 7 WebKit Commit Bot 2019-07-18 14:15:23 PDT
All reviewed patches have been landed.  Closing bug.